Page MenuHomePhabricator

Provide a "differential.changeset.search" Conduit API method
ClosedPublic

Authored by epriestley on Feb 15 2021, 7:07 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Sep 26, 5:49 AM
Unknown Object (File)
Sun, Sep 18, 7:37 AM
Unknown Object (File)
Sat, Sep 3, 7:29 PM
Unknown Object (File)
Aug 4 2022, 8:59 AM
Unknown Object (File)
Jul 25 2022, 9:27 PM
Unknown Object (File)
Jul 25 2022, 9:27 PM
Unknown Object (File)
Jul 25 2022, 9:27 PM
Unknown Object (File)
Jul 25 2022, 4:34 PM
Subscribers
None

Details

Summary

Ref T13605. Support selecting a diff's changesets (to get a list of affected file paths) via the API.

Test Plan

Called API with no arguments, diffPHIDs, PHIDs, IDs. Got sensible output.

Diff Detail

Repository
rP Phabricator
Branch
api2
Lint
Lint Passed
Unit
Tests Passed
Build Status
Buildable 25128
Build 34675: Run Core Tests
Build 34674: arc lint + arc unit

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Feb 15 2021, 7:11 PM
This revision was automatically updated to reflect the committed changes.